#################################################################################
#################################################################################

### R code to draw boxplot for the Bonnie and Clyde movie's ratings

### MOV task

### Barbora Hladka, Martin Holub

### ESSLLI 2015

### http://ufal.mff.cuni.cz/esslli2015

#################################################################################
#################################################################################

## get examples, votes, movies, users
source("load-mov-data.R")

# Bonie and Clyde
movie.504 <- subset(examples, movie == 504)

colors <- c("red", "blue", "green", "orange")
items <- c("mean", "Peter", "Paul", "Mary")

pdf("boxplot-bonnie-and-clyde.pdf")
boxplot(movie.504$rating, 
	main = "Ratings of Bonnie and Clyde \n (boxplot-bonnie-and-clyde.R)",
	xlab = "",
	lwd = 2,
	lty = 1,
	width = c(1),
	cex.main = 2.3,
        cex.axis = 2.3,
        cex.lab = 2.3)

points(mean(movie.504$rating),
	col = "red",
	pch = 19,
	cex = 3)

points(2,
	col = "green",
	pch = 19,
	cex = 3)

points(5,
	col = "orange",
	pch = 19,
	cex = 3)
dev.off()


