#################################################################################
#################################################################################

### R code to draw barplot for gender of users and voting users

### MOV task

### Barbora Hladka, Martin Holub

### ESSLLI 2015

### http://ufal.mff.cuni.cz/esslli2015

#################################################################################
#################################################################################

## get examples, votes, movies, users
source("load-mov-data.R")

# draw barplot 
pdf("barplot-gender.pdf", width=7, height=5)
par(mfrow=c(1,2))
barplot(table(users$gender), main = "Barplot (barplot-gender.R)", ylab = "number of users", cex.lab = 1.25)
barplot(table(examples$gender), main = "", ylab = "number of votes", cex.lab = 1.25)
dev.off()


